{
  description = "A very basic flake";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";
    home-manager.url = "github:nix-community/home-manager/master";
    home-manager.inputs.nixpkgs.follows = "nixpkgs";
  };

  outputs = { nixpkgs, home-manager, ... }:
    let
      system = "x86_64-linux";
      username = "chris";

      pkgs = import nixpkgs {
        inherit system;
        config = { allowUnfree = true; };
      };

      lib = nixpkgs.lib;
    in  {
      homeConfigurations = {
        chris = home-manager.lib.homeManagerConfiguration {
          inherit system pkgs username;
          homeDirectory = "/home/chris";
          configuration = {
            imports = [
              ./user/home.nix
            ];
          };
          stateVersion = "22.05";
        };
      };

      nixosConfigurations = {
        syl = lib.nixosSystem {
          inherit system;
          modules = [
            ./system/syl/configuration.nix
          ];
        };
        kaladin = lib.nixosSystem {
          inherit system;
          modules = [
            ./system/kaladin/configuration.nix
          ];
        };
      };
    };
}
